:root {
    --bg: #404464;
    --textColor: #ffffff;
    --bgScreen: #181c34;
    --normalButton: #ece8d8;
    --colorTextButton: #282c44;
    --shadowNormalButton: #bdb9ae;
    --bgDelButton: #68749c;
    --shadowDelButton: #464d68;
    --bgCalButton: #d44434;
    --shadowCalButton: #943025;
    --textUniqueButton: #ffffff;
}

body {
    margin: 0;
    padding: 0;
}

.main-container {
    width: auto;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--bg);
    font-family: 'Poppins', sans-serif;
}

.sub-container {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.logo {
    font-size: 30px;
    font-weight: 600;
    letter-spacing: 3px;
    text-align: left;
}

.theme-title {
    font-size: 12px;
    letter-spacing: 3px;
    text-align: left;
}

.theme-ver {
    display: flex;
    flex-direction: row;
}

.theme {
    letter-spacing: 5px;
}

.theme-title, .theme-ver {
    text-align: right;
    justify-content: end;
}

.column {
    display: flex;
    flex-direction: row;
    gap: 15px;
}

input[type='radio']:checked:after {
    width: 8px;
    height: 8px;
    margin-top: 4.5px;
    margin-left: 0.5px;
    border-radius: 15px;
    background-color: var(--bgDelButton);
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}

@media screen and (max-width: 672px) {
    .navigate {
        width: 100%;
        display: grid;
        grid-template-columns: 50% 20% 30%;
        align-items: center;
        color: var(--textColor);
    }

    .screen {
        width: 100%;
        height: 15%;
        border-radius: 10px;
        color: var(--textColor);
        text-align: right;
        font-weight: 600;
        font-size: 24px;
        background-color: var(--bgScreen);
        border: none;
        padding-right: 20px;
        box-sizing: border-box;
    }

    .content-container {
        width: 100%;
        height: 500px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 15px;
        border-radius: 10px;
        background-color: var(--bgScreen);
    }

    button {
        width: 70px;
        height: 70px;
        border-radius: 8px;
        font-size: 22px;
        font-weight: 600;
        color: var(--colorTextButton);
        background-color: var(--normalButton);
        border: none;
        box-shadow: 4px 3px 0px 1px var(--shadowNormalButton);
    }

    .del-button {
        background-color: var(--bgDelButton);
        color: var(--textUniqueButton);
        box-shadow: 4px 3px 0px 1px var(--shadowDelButton)
    }

    .reset-button {
        width: 155px;
        background-color: var(--bgDelButton);
        color: var(--textUniqueButton);
        box-shadow: 4px 3px 0px 1px var(--shadowDelButton);
    }

    .calculate-button {
        width: 155px;
        background-color: var(--bgCalButton);
        color: var(--textUniqueButton);
        box-shadow: 3px 2px 0px 1px var(--shadowCalButton);
    }
}

@media screen and (min-width: 673px) {
    .navigate {
        width: 650px;
        display: grid;
        grid-template-columns: 50% 30% 20%;
        align-items: center;
        color: var(--textColor);
    }

    .screen {
        width: 650px;
        height: 20%;
        border-radius: 10px;
        color: var(--textColor);
        text-align: right;
        font-weight: 600;
        font-size: 30px;
        background-color: var(--bgScreen);
        border: none;
        padding-right: 20px;
        box-sizing: border-box;
    }

    .content-container {
        width: 650px;
        height: 500px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 15px;
        border-radius: 10px;
        background-color: var(--bgScreen);
    }

    button {
        width: 120px;
        height: 60px;
        border-radius: 8px;
        font-size: 22px;
        font-weight: 600;
        color: var(--colorTextButton);
        background-color: var(--normalButton);
        border: none;
        box-shadow: 4px 3px 0px 1px var(--shadowNormalButton);
    }

    .del-button {
        background-color: var(--bgDelButton);
        color: var(--textUniqueButton);
        box-shadow: 4px 3px 0px 1px var(--shadowDelButton)
    }

    .reset-button {
        width: 255px;
        background-color: var(--bgDelButton);
        color: var(--textUniqueButton);
        box-shadow: 4px 3px 0px 1px var(--shadowDelButton);
    }

    .calculate-button {
        width: 255px;
        background-color: var(--bgCalButton);
        color: var(--textUniqueButton);
        box-shadow: 3px 2px 0px 1px var(--shadowCalButton);
    }
}